lzma_delta_coder Struct Reference

## Data Fields

lzma_next_coder | next
| Next coder in the chain. More...
size_t | distance
| Delta distance. More...
uint8_t | pos
| Position in history[]. More...
uint8_t | history [LZMA_DELTA_DIST_MAX]
| Buffer to hold history of the original data. More...

## Field Documentation

## next

lzma_next_coder lzma_delta_coder::next

Next coder in the chain.

## distance

size_t lzma_delta_coder::distance

Delta distance.

Referenced by copy_and_encode(), and encode_in_place().

## pos

uint8_t lzma_delta_coder::pos

Position in history[].

Referenced by copy_and_encode(), and encode_in_place().

## history

uint8_t lzma_delta_coder::history[LZMA_DELTA_DIST_MAX]

Buffer to hold history of the original data.

Referenced by copy_and_encode(), and encode_in_place().

The documentation for this struct was generated from the following file:

- liblzma/delta/delta_private.h